ECDSAPublicKey (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.eac

## Class ECDSAPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.eac.PublicKeyDataObject
    - - org.bouncycastle.asn1.eac.ECDSAPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ECDSAPublicKey
      extends PublicKeyDataObject

  an Iso7816ECDSAPublicKeyStructure structure.

        Certificate Holder Authorization ::= SEQUENCE {
            ASN1TaggedObject primeModulusP;        // OPTIONAL
            ASN1TaggedObject firstCoefA;            // OPTIONAL
            ASN1TaggedObject secondCoefB;        // OPTIONAL
            ASN1TaggedObject basePointG;            // OPTIONAL
            ASN1TaggedObject orderOfBasePointR;    // OPTIONAL
            ASN1TaggedObject publicPointY;        //REQUIRED
            ASN1TaggedObject    cofactorF;            // OPTIONAL
        }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECDSAPublicKey(ASN1ObjectIdentifier usage, java.math.BigInteger p, java.math.BigInteger a, java.math.BigInteger b, byte[] basePoint, java.math.BigInteger order, byte[] publicPoint, int cofactor)`
    `ECDSAPublicKey(ASN1ObjectIdentifier usage, byte[] ppY)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1EncodableVector` | `getASN1EncodableVector(ASN1ObjectIdentifier oid, boolean publicPointOnly)`
    `byte[]` | `getBasePointG()`
    `java.math.BigInteger` | `getCofactorF()`
    `java.math.BigInteger` | `getFirstCoefA()`
    `java.math.BigInteger` | `getOrderOfBasePointR()`
    `java.math.BigInteger` | `getPrimeModulusP()`
    `byte[]` | `getPublicPointY()`
    `java.math.BigInteger` | `getSecondCoefB()`
    `ASN1ObjectIdentifier` | `getUsage()`
    `boolean` | `hasParameters()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.eac.PublicKeyDataObject

      `getInstance`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECDSAPublicKey

          public ECDSAPublicKey(ASN1ObjectIdentifier usage,
                                byte[] ppY)
                         throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### ECDSAPublicKey

          public ECDSAPublicKey(ASN1ObjectIdentifier usage,
                                java.math.BigInteger p,
                                java.math.BigInteger a,
                                java.math.BigInteger b,
                                byte[] basePoint,
                                java.math.BigInteger order,
                                byte[] publicPoint,
                                int cofactor)

  - ### Method Detail

    - #### getUsage

          public ASN1ObjectIdentifier getUsage()

      Specified by:
        `getUsage` in class `PublicKeyDataObject`

    - #### getBasePointG

          public byte[] getBasePointG()

    - #### getCofactorF

          public java.math.BigInteger getCofactorF()

    - #### getFirstCoefA

          public java.math.BigInteger getFirstCoefA()

    - #### getOrderOfBasePointR

          public java.math.BigInteger getOrderOfBasePointR()

    - #### getPrimeModulusP

          public java.math.BigInteger getPrimeModulusP()

    - #### getPublicPointY

          public byte[] getPublicPointY()

    - #### getSecondCoefB

          public java.math.BigInteger getSecondCoefB()

    - #### hasParameters

          public boolean hasParameters()

    - #### getASN1EncodableVector

          public ASN1EncodableVector getASN1EncodableVector(ASN1ObjectIdentifier oid,
                                                            boolean publicPointOnly)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.